- Qt 6.9
- Qt Graphs
- C++ Classes
- QtGraphs
- QSplineSeries
- Qt Graphs | Commercial or GPLv3

# QSplineSeries Class

QSplineSeries presents data in spline graphs. More...

Header: | `#include <QSplineSeries>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Graphs)` `target_link_libraries(mytarget PRIVATE Qt6::Graphs)`
qmake: | `QT += graphs`
In QML: | SplineSeries
Inherits: | QXYSeries

- List of all members, including inherited members
- QSplineSeries is part of Qt Graphs C++ Classes for 2D.

## Public Functions

Qt::PenCapStyle | capStyle() const
void | setCapStyle(Qt::PenCapStyle newCapStyle)
void | setWidth(qreal newWidth)
qreal | width() const

## Signals

void | capStyleChanged()
void | widthChanged()

## Detailed Description

The graph displays smooth spline segments that moves through all the points defined in the graph.